ctf_context_be.h File Reference
`#include <gwenhywfar/ct_context.h>`
`#include <gwenhywfar/ct_keyinfo.h>`
`#include <gwenhywfar/cryptkey.h>`

Go to the source code of this file.

## Macros

#define | GWEN_CRYPT_TOKEN_CONTEXT_KEYS 7

## Functions

GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetLocalAuthKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetLocalAuthKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetLocalCryptKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetLocalCryptKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetLocalSignKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetLocalSignKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetRemoteAuthKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetRemoteAuthKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetRemoteCryptKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetRemoteCryptKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetRemoteSignKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetRemoteSignKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_KEY * | GWEN_CTF_Context_GetTempLocalSignKey (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * | GWEN_CTF_Context_GetTempLocalSignKeyInfo (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API int | GWEN_CTF_Context_IsOfThisType (const GWEN_CRYPT_TOKEN_CONTEXT *ctx)
GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * | GWEN_CTF_Context_new ()
GWENHYWFAR_API void | GWEN_CTF_Context_SetLocalAuthKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetLocalAuthKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)
GWENHYWFAR_API void | GWEN_CTF_Context_SetLocalCryptKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetLocalCryptKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)
GWENHYWFAR_API void | GWEN_CTF_Context_SetLocalSignKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetLocalSignKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)
GWENHYWFAR_API void | GWEN_CTF_Context_SetRemoteAuthKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetRemoteAuthKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)
GWENHYWFAR_API void | GWEN_CTF_Context_SetRemoteCryptKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetRemoteCryptKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)
GWENHYWFAR_API void | GWEN_CTF_Context_SetRemoteSignKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetRemoteSignKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)
GWENHYWFAR_API void | GWEN_CTF_Context_SetTempLocalSignKey (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_KEY *k)
GWENHYWFAR_API void | GWEN_CTF_Context_SetTempLocalSignKeyInfo (GWEN_CRYPT_TOKEN_CONTEXT *ctx, GWEN_CRYPT_TOKEN_KEYINFO *ki)

## Macro Definition Documentation

## GWEN_CRYPT_TOKEN_CONTEXT_KEYS

#define GWEN_CRYPT_TOKEN_CONTEXT_KEYS 7

Definition at line 20 of file ctf_context_be.h.

## Function Documentation

## GWEN_CTF_Context_GetLocalAuthKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetLocalAuthKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetLocalAuthKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetLocalAuthKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetLocalCryptKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetLocalCryptKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetLocalCryptKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetLocalCryptKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetLocalSignKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetLocalSignKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetLocalSignKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetLocalSignKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetRemoteAuthKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetRemoteAuthKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetRemoteAuthKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetRemoteAuthKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetRemoteCryptKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetRemoteCryptKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetRemoteCryptKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetRemoteCryptKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetRemoteSignKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetRemoteSignKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetRemoteSignKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetRemoteSignKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetTempLocalSignKey()

GWENHYWFAR_API GWEN_CRYPT_KEY * GWEN_CTF_Context_GetTempLocalSignKey | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_GetTempLocalSignKeyInfo()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_KEYINFO * GWEN_CTF_Context_GetTempLocalSignKeyInfo | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_IsOfThisType()

GWENHYWFAR_API int GWEN_CTF_Context_IsOfThisType | ( | const GWEN_CRYPT_TOKEN_CONTEXT * | ctx | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_new()

GWENHYWFAR_API GWEN_CRYPT_TOKEN_CONTEXT * GWEN_CTF_Context_new | ( |  | ) |

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetLocalAuthKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetLocalAuthKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetLocalAuthKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetLocalAuthKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetLocalCryptKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetLocalCryptKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetLocalCryptKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetLocalCryptKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetLocalSignKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetLocalSignKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetLocalSignKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetLocalSignKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetRemoteAuthKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetRemoteAuthKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetRemoteAuthKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetRemoteAuthKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetRemoteCryptKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetRemoteCryptKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetRemoteCryptKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetRemoteCryptKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetRemoteSignKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetRemoteSignKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetRemoteSignKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetRemoteSignKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetTempLocalSignKey()

GWENHYWFAR_API void GWEN_CTF_Context_SetTempLocalSignKey | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_KEY * | k )

References GWENHYWFAR_API.

## GWEN_CTF_Context_SetTempLocalSignKeyInfo()

GWENHYWFAR_API void GWEN_CTF_Context_SetTempLocalSignKeyInfo | ( | GWEN_CRYPT_TOKEN_CONTEXT * | ctx,
|  | GWEN_CRYPT_TOKEN_KEYINFO * | ki )